rpms/389-admin/devel .cvsignore, 1.3, 1.4 389-admin-git-local.sh, 1.1, 1.2 389-admin-git.sh, 1.1, 1.2 389-admin.spec, 1.8, 1.9 sources, 1.6, 1.7

Richard Allen Megginson rmeggins at fedoraproject.org
Fri Dec 18 16:24:47 UTC 2009


Author: rmeggins

Update of /cvs/extras/rpms/389-admin/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv27273

Modified Files:
	.cvsignore 389-admin-git-local.sh 389-admin-git.sh 
	389-admin.spec sources 
Log Message:
this is the 1.1.10.a1 release


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/389-admin/devel/.cvsignore,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -p -r1.3 -r1.4
--- .cvsignore	7 Oct 2009 15:50:27 -0000	1.3
+++ .cvsignore	18 Dec 2009 16:24:47 -0000	1.4
@@ -1 +1 @@
-389-admin-1.1.9.tar.bz2
+389-admin-1.1.10.a1.tar.bz2


Index: 389-admin-git-local.sh
===================================================================
RCS file: /cvs/extras/rpms/389-admin/devel/389-admin-git-local.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- 389-admin-git-local.sh	7 Oct 2009 15:50:27 -0000	1.1
+++ 389-admin-git-local.sh	18 Dec 2009 16:24:47 -0000	1.2
@@ -1,18 +1,15 @@
 #!/bin/bash
 
 DATE=`date +%Y%m%d`
-TAG=389-admin-1.1.9
-CVSTAG=three89Admin_1_1_9
-VERSION=1.1.9
+VERSION=1.1.10.a1
 PKGNAME=389-admin
+TAG=${TAG:-$PKGNAME-$VERSION}
 SRCNAME=${PKGNAME}-${VERSION}
-CVSROOT=:pserver:anonymous at cvs.fedoraproject.org:/cvs/dirsec
 echo you must be in the admin server git repo to use this
-git status > /dev/null || echo bye
+test -d .git || {echo bye ; exit 1 }
 if [ -z "$1" ] ; then
 	dir=.
 else
 	dir="$1"
 fi
-git archive --format=tar --prefix=$SRCNAME/ $TAG | ( cd $dir ; tar xf - ; cd $SRCNAME ; cvs -d "$CVSROOT" -z3 export -r$CVSTAG mod_admserv mod_restartd ; cd .. ; tar cfj $dir/$SRCNAME.tar.bz2 $SRCNAME )
-rm -rf $dir/$SRCNAME
+git archive --prefix=$SRCNAME/ $TAG | bzip2 > $dir/$SRCNAME.tar.bz2


Index: 389-admin-git.sh
===================================================================
RCS file: /cvs/extras/rpms/389-admin/devel/389-admin-git.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- 389-admin-git.sh	23 Jun 2009 02:36:44 -0000	1.1
+++ 389-admin-git.sh	18 Dec 2009 16:24:47 -0000	1.2
@@ -1,22 +1,16 @@
 #!/bin/bash
 
 DATE=`date +%Y%m%d`
-TAG=HEAD
-VERSION=1.1.7
+VERSION=1.1.10.a1
 PKGNAME=389-admin
-export URL=git://git.fedorahosted.org/git/389/admin.git
 #SRCNAME=$PKGNAME-$VERSION-$DATE
 SRCNAME=$PKGNAME-$VERSION
+TAG=${PKGNAME}-${VERSION}
+URL="http://git.fedorahosted.org/git/?p=389/admin.git;a=snapshot;h=$TAG;sf=tgz"
 
-git clone $URL
-cd admin.git
-git archive --prefix=$SRCNAME/ $TAG | bzip2 > $SRCNAME.tar.bz2
-#cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $SRCNAME adminserver
-#cd $SRCNAME
-#cvs -d "$CVSROOT" -z3 export -r$CVSTAG mod_admserv mod_restartd
-#cd ..
+wget -O $SRCNAME.tar.gz "$URL"
 
-#tar -cjf $SRCNAME.tar.bz2 $SRCNAME
+echo convert tgz format to tar.bz2 format
 
-cd ..
-rm -rf admin.git
+gunzip $PKGNAME-$VERSION.tar.gz
+bzip2 $PKGNAME-$VERSION.tar


Index: 389-admin.spec
===================================================================
RCS file: /cvs/extras/rpms/389-admin/devel/389-admin.spec,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -p -r1.8 -r1.9
--- 389-admin.spec	7 Oct 2009 15:50:27 -0000	1.8
+++ 389-admin.spec	18 Dec 2009 16:24:47 -0000	1.9
@@ -1,9 +1,13 @@
-%define pkgname   dirsrv
+%global pkgname   dirsrv
+# for a pre-release, define the prerel field - comment out for official release
+%global prerel .a1
+# also need the relprefix field for a pre-release - also comment out for official release
+%global relprefix 0.
 
 Summary:          389 Administration Server (admin)
 Name:             389-admin
-Version:          1.1.9
-Release:          1%{?dist}
+Version:          1.1.10
+Release:          %{?relprefix}1%{?prerel}%{?dist}
 License:          GPLv2 and ASL 2.0
 URL:              http://port389.org/
 Group:            System Environment/Daemons
@@ -34,7 +38,7 @@ Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/chkconfig
 Requires(preun): /sbin/service
 
-Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2
+Source0:          http://port389.org/sources/%{name}-%{version}%{?prerel}.tar.bz2
 # 389-admin-git.sh should be used to generate the source tarball from git
 Source1:          %{name}-git.sh
 Patch1:           f11-httpd.patch
@@ -46,7 +50,7 @@ be used through a web browser.  It provi
 and CGI utilities used by the console.
 
 %prep
-%setup -q -n %{name}-%{version}
+%setup -q -n %{name}-%{version}%{?prerel}
 %patch1
 
 %build
@@ -153,6 +157,9 @@ end
 %{_mandir}/man8/*
 
 %changelog
+* Thu Oct  8 2009 Rich Megginson <rmeggins at redhat.com> - 1.1.10.a1-1
+- the 1.1.10.a1 release
+
 * Mon Sep 14 2009 Rich Megginson <rmeggins at redhat.com> - 1.1.9-1
 - the 1.1.9 release
 


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/389-admin/devel/sources,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -p -r1.6 -r1.7
--- sources	7 Oct 2009 15:50:27 -0000	1.6
+++ sources	18 Dec 2009 16:24:47 -0000	1.7
@@ -1 +1 @@
-1f84413babbcd29035b8707f2ee9cea1  389-admin-1.1.9.tar.bz2
+b0fb7b83b06513cbe9b31c6195ea5202  389-admin-1.1.10.a1.tar.bz2




More information about the fedora-extras-commits mailing list